# Docker Compose для простой установки Nextcloud в Docker

Необходимые пакеты в системе:
1. docker
2. docker-compose (должен быть v2)
3. git

Для начала необходимо скачать репозиторий:
```
git clone https://git.kurator.tech/B4D_US3R/NextcloudDockerSetup.git
```

Далее переходим в папку с файлами из репозитория:
```
cd NextcloudDockerSetup
```

И правим файл example.env:
```
nano example.env
```

Переменные и их значения:
1. POSTGRES_DB - имя базы данных. Можно оставить nextcloud.
2. POSTGRES_USER - имя пользователя, который будет управлять базой данных. Так же можно оставить nextcloud.
3. POSTGRES_PASSWORD - пароль от базы данных. Требуется сменить на свой.

После редактирования example.env необходимо скопировать его в эту же папку под названием .env:
```
cp example.env .env
```

После этого можно запустить Nextcloud:
```
docker compose up -d
```

После запуска nextcloud будет доступен по адресу ip_address:8666

# TODO
- [ ] Добавить Redis
- [ ] Добавить конфиг Nginx для обратного прокси и расписать как это делать
- [ ] Может ещё что-нибудь вспомню